Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158758 - map files in tetex-dvips should be marked config files in RPM
Summary: map files in tetex-dvips should be marked config files in RPM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 13:40 UTC by Jonathan Kamens
Modified: 2013-07-02 23:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-09 13:50:24 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2005-05-25 13:40:17 UTC
These files in tetex-dvips-3.0-4 are apparently config files which are modified
after the package is installed, but they aren't marked config files in the spec
file.  They should be, to the "c" shows up in "rpm --verify" output so the user
knows that it's OK that they've been modified:

S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/builtin35.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/download35.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/ps2pk.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_pk.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_t1.map

Comment 1 Quentin Spencer 2006-03-22 20:15:39 UTC
I was going to file a new bug, but I'll just add my comments to this one. All
configuration files that set paper sizes should be marked as config files. The
particular example in my case is /usr/share/texmf/dvipdfm/config/config, but I
am sure that there are other files that should be treated the same way. I always
hand edit this file to use letter rather than a4 paper, but when an updated
package is released, my changes are overwritten. Ideally, I would prefer that
bug #143661 be fixed (make TeX use different paper sizes with locale), but that
appears complicated, and until then, making this file and others marked as
config would make life easier for people who edit their configuration files.


Comment 2 Jonathan Dieter 2007-04-16 06:28:50 UTC
This is also a problem with the tetex rpm.  Most of these files get modified
automatically when tetex-latex is installed/updated.

This is a major problem when trying to apply deltarpms to the local system. 
Deltarpms can only be applied if non-config files haven't been changed (or if
the files verify bit has been unset in the rpm).  That means that instead of
being able to download a <5MB deltarpm, we get stuck downloading the full rpm.

Comment 3 Jindrich Novy 2007-04-16 08:46:21 UTC
Should be fixed by tetex-3.0-39.fc7. Thanks.

Comment 4 Jonathan Dieter 2007-08-20 19:22:26 UTC
Argh! It looks like I missed a file type in the tetex rpm.  rpm -V tetex gives
me the following output:

S.5....T c /usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_dl14.map
S.5....T c /usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_ndl14.map
S.5....T c /usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_dl14.map
S.5....T c /usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_ndl14.map
S.5....T   /usr/share/texmf-var/web2c/aleph.fmt
S.5....T   /usr/share/texmf-var/web2c/amstex.fmt
S.5....T   /usr/share/texmf-var/web2c/bamstex.fmt
S.5....T   /usr/share/texmf-var/web2c/bplain.fmt
S.5....T   /usr/share/texmf-var/web2c/cont-en.fmt
S.5....T   /usr/share/texmf-var/web2c/etex.fmt
S.5....T   /usr/share/texmf-var/web2c/lambda.fmt
S.5....T   /usr/share/texmf-var/web2c/lamed.fmt
..5....T   /usr/share/texmf-var/web2c/metafun.mem
S.5....T   /usr/share/texmf-var/web2c/mf.base
..5....T   /usr/share/texmf-var/web2c/mpost.mem
S.5....T   /usr/share/texmf-var/web2c/mptopdf.fmt
S.5....T   /usr/share/texmf-var/web2c/omega.fmt
S.5....T   /usr/share/texmf-var/web2c/pdfetex.fmt
S.5....T   /usr/share/texmf-var/web2c/pdftex.fmt
S.5....T   /usr/share/texmf-var/web2c/tex.fmt

As you can see, all of the .fmt and .mem files in /usr/share/texmf-var get
changed and are not marked as %config.  The interesting thing is that there are
a few .fmt file in /usr/share/texmf that *don't* get changed.

Comment 5 Jindrich Novy 2007-12-09 13:50:24 UTC
teTeX is now obsoleted by TeXLive in rawhide and removed. If you are sure the
problem still applies also for TeXLive, please file a bug against following
rawhide components:

texlive       - if you found bug in binary TeXLive utilities
texlive-texmf - if find anything related to fonts/styles, noarch part
texlive-texmf-errata - if you need to update font/style set.



Note You need to log in before you can comment on or make changes to this bug.